Subject: Re: bug#68514: 30.0.50; minibuffer-choose-completion + elisp-c-a-p delete next sexp when completing after open paren

From: Juri Linkov <[email-masked]>
Date: Wed, 17 Jan 2024 19:44:26 +0200

>> Thanks.  I tried this patch, but it doesn't seem to have any effect.
>
> How did you test?
>
> If I insert:
>
> ( (foo)
>
> and move point to:
>
> (| (foo)
>
> then hit M-TAB and select a completion, for me, after my patch, (foo) is
> not deleted, whereas before it would be.

I tested with:

(|
;; This buffer is for text that is not saved, and for Lisp evaluation.
;; To create a file, visit it with ‘C-x C-f’ and enter text in its buffer.